package com.icefaces.support.example;

import java.io.Serializable;
import javax.faces.bean.CustomScoped;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.event.ActionEvent;

@ManagedBean
@CustomScoped(value = "#{window}")
public class TestBean implements Serializable {

    private String selection;

    public String getSelection() {
        return selection;
    }

    public void setSelection(String selection) {
        this.selection = selection;
    }

    public void subMenuOneAction(ActionEvent event) {
        this.selection = "Sub Menu One Selected";
    }

    public void subMenuTwoAction(ActionEvent event) {
        this.selection = "Sub Menu Two Selected";
    }

    public void subMenuThreeAction(ActionEvent event) {
        this.selection = "Sub Menu Three Selected";
    }
}
